<?php
// +-----------------------------------------------------------------------+
// | Dynamic Recent Period - a Piwigo Plugin                               |
// | Copyright (C) 2007-2011 Ruben ARNAUD - rub@piwigo.org                 |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

function plugin_install()
{
  $query = '
replace into '.CONFIG_TABLE.'
  (param, value, comment)
values
  (
    \'dynareceperio\',
    \''.serialize(array('force' => true, 'day_number' => 1)).'\',
    \'Parameters of "Dynamic Recent Period" plugin\'
  )
;';

  pwg_query($query);
}

function plugin_uninstall()
{
  $query = '
delete from '.CONFIG_TABLE.'
where param = \'dynareceperio\'
;';

  pwg_query($query);
}

?>